#
# spec file for package perl-Digest-MD5 (Version 2.16)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Digest-MD5
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl_md5
Obsoletes:    perl_md5
Autoreqprov:  on
Summary:      Perl interface to the MD5 algorithm
Version:      2.16
Release:      88
Source:       Digest-MD5-%{version}.tar.bz2
Patch:        Digest-MD5-utf8bug.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Digest::MD5 module allows you to use the RSA Data Security
Inc. MD5 Message Digest algorithm from within Perl programs. The
algorithm takes as input a message of arbitrary length and produces as
output a 128-bit "fingerprint" or "message digest" of the input.

Authors:
--------
    Gisle Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n Digest-MD5-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Digest-MD5
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Digest/MD5
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README rfc1321.txt MANIFEST Changes
%{perl_sitearch}/Digest
%{perl_sitearch}/auto/Digest
/var/adm/perl-modules/perl-Digest-MD5

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Digest-MD5
* Wed May 15 2002 - prehak@suse.cz
- fixed security bug in the utf8 interaction with perl
* Mon Jan 14 2002 - rvasice@suse.cz
- update to version 2.16
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 2.14
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_md5 -> perl-Digest-MD5
- update to version 2.12
* Thu Aug 24 2000 - cihlar@suse.cz
- update to version 2.11
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Fri Mar 31 2000 - cihlar@suse.cz
- added BuildRoot
- clean up spec file
* Wed Mar 22 2000 - ro@suse.de
- added manpages to filelist
* Fri Mar 17 2000 - ug@suse.de
- build for IMap Server CD
